# Class IdentifyError

An error that is thrown when an identify operation fails for one or more feature sources.

#### Hierarchy

- Error
  - IdentifyError

#####
Index

### Constructors

constructor

### Properties

errors

##
Constructors

### constructor

- new IdentifyError(errors, message?, ...args): IdentifyError

- Initializes a new instance of the IdentifyError class.

  #### Parameters

  - errors: Iterable<[FeatureSource, Error], any, any>

    A mapping of feature sources to errors.

  - `Optional` message: string

    An optional error message.

  - `Rest`...args: unknown[]

    Values for placeholders in the message.

  #### Returns IdentifyError

  Overrides Error.constructor

- new IdentifyError(errors, message?, ...args): IdentifyError

- #### Parameters

  - errors: Iterable<[FeatureSource[], Error], any, any>
  - `Optional` message: string
  - `Rest`...args: unknown[]

  #### Returns IdentifyError

  Overrides Error.constructor

##
Properties

### `Readonly` errors

errors: Map<FeatureSource, Error>

Maps individual feature sources to an error that occurred for that source.